not able to update to DietPi 7.4 Topic is solved

Having issues with your DietPi installation or found a bug? Post it here.
Post Reply
maya95
Posts: 60
Joined: Tue Apr 20, 2021 12:20 pm

not able to update to DietPi 7.4

Post by maya95 »

Upgrading from 7.2 to 7.4 and got following InRelease is not valid yet errors
│ (invalid for another 2d 7h 56min 22s). Updates for this repository will not be applied.

What does that mean? Got same errors for past upgrades too. Re-try or reconfig network does not work.

Need to wait another 2 days and 8 hours?

Code: Select all

APT update
│  - Command: apt-get -q update
│  - Exit code: 100
│  - DietPi version: v7.2.3 (MichaIng/master) | HW_MODEL: 20 | HW_ARCH: 10 | DISTRO: 5
│  - Image creator: DietPi Core Team
│  - Pre-image: Debian mini.iso
│  - Error log:
│ Hit:1 http://repo.mysql.com/apt/debian buster InRelease
│ Get:2 https://download.docker.com/linux/debian buster InRelease [54.0 kB]
│ Hit:3 http://download.zerotier.com/debian/buster buster InRelease
│ Hit:4 https://deb.debian.org/debian buster InRelease
│ Get:5 https://deb.debian.org/debian buster-updates InRelease [51.9 kB]
│ Hit:6 https://packages.microsoft.com/debian/10/prod buster InRelease
│ Ign:7 http://repo.mongodb.org/apt/debian buster/mongodb-org/4.4 InRelease
│ Get:8 https://deb.debian.org/debian-security buster/updates InRelease [65.4 kB]
│ Get:9 https://deb.debian.org/debian buster-backports InRelease [46.7 kB]
│ Hit:10 https://linux.teamviewer.com/deb stable InRelease
│ Get:11 http://repo.mongodb.org/apt/debian buster/mongodb-org/4.4 Release [2396 B]
│ Ign:12 https://download.webmin.com/download/repository sarge InRelease
│ Hit:13 https://download.webmin.com/download/repository sarge Release
│ Get:14 https://paulcarroty.gitlab.io/vscodium-deb-rpm-repo/debs vscodium InRelease [3828 B]
│ Get:15 http://repo.mongodb.org/apt/debian buster/mongodb-org/4.4 Release.gpg [801 B]
│ Reading package lists...
│ E: Release file for https://download.docker.com/linux/debian/dists/buster/InRelease is not valid yet
│ (invalid for another 2d 7h 56min 22s). Updates for this repository will not be applied.
│ E: Release file for https://deb.debian.org/debian/dists/buster-updates/InRelease is not valid yet
│
│                  Retry          : Re-run the last command that failed                 ↑
│                  DietPi-Config  : Edit network, APT/NTP mirror settings etc           ▮
│
User avatar
Joulinar
Posts: 5996
Joined: Sat Nov 16, 2019 12:49 am

Re: not able to update to DietPi 7.4

Post by Joulinar »

Usually this indicates that your system time is not correct set and up to date. Pls check and update your system time.
Pls let us know if a solution is working. This could help others if they hit by similar situation. Your DietPi Team
maya95
Posts: 60
Joined: Tue Apr 20, 2021 12:20 pm

Re: not able to update to DietPi 7.4

Post by maya95 »

Thanks! It worked. The VM's date time lagged 2 days behind the physical PC.
Post Reply